Old Add-ons Not Working?

Fix Disable ExtensionsPeople often run into problems when Firefox updates, because some of their favorite add-ons no longer work.  Well, it isn’t exactly that they will not work.  It is the fact that the add-on developer hasn’t updated the add-on to meet the compatibility of the newer version of Firefox. In this article I’ll see what I can do to help you out when it comes to getting them re-enabled.

The first thing you will want to do is check for updates for your add-ons.  You can easily do this in the latest version of Firefox by clicking the Firefox button and then click Add-ons. This will open up the Add-ons Manager.  Next, select the gear button at the top and select, “Check for Updates”. Firefox will then search for and download any updates that are available automatically. Restart the browser when asked, and you should be good to go.

If the add-on has been simply disabled (Firefox sometimes does this with add-ons that were added by another program) you should be able to simply re-enable the add-on in question.

  1. At the top of the Firefox window, click on the Firefox button and then click Add-ons. The Add-ons Manager tab will open.
  2. In the Add-ons Manager tab, select the Extensions panel.
  3. Click the Enable button next to the add-on you’d like to re-enable.

Know of any more fixes?  Be sure to leave them in the comments!  Hope this helps you the next time you find your favorite add-ons are not working in Firefox.

, , , , , ,

3 Responses to Old Add-ons Not Working?

  1. NeilM Dec/06 at 6:54 am #

    i’ve been using Mozilla’s Add-on Compatibility Reporter for some time now and it fixes a lot of compatability issues. Description: “After installing the Add-on Compatibility Reporter, your incompatible extensions will become enabled for you to test whether they still work with the version of Firefox or Thunderbird that you’re using. If you notice that one of your add-ons doesn’t seem to be working the same way it did in previous versions of the application, just open the Add-ons Manager and click Compatibility next to that add-on to send a report to Mozilla.”

  2. Ricardo A. Rivas Dec/13 at 9:11 am #

    The following process enables an addon to work with any version of Firefox, unless this addon is not compatible with certain versions of Firefox.
    1) Close Firefox completely (if open).
    2) Open the addon’s folder, which is usually located in the Firefox ‘extensions’ folder.
    3) Open the addon’s ‘install.rdf’ file, with a text editor.
    4) Look for “” (without the quotes), and change the value shown at the right side to “*” (without the quotes).
    5) Close the ‘install.rdf’ file.
    6) Open Firefox to check the addon’s operation.
    7) If the addon doesn’t work, it is most likely that this addon is not compatible with the current version of Firefox.

    • Ricardo A. Rivas Dec/17 at 6:44 am #

      After ‘Look for’ (Step 4), it must say ‘em:maxVersion’ (between the quotes)